Nextcloud 19 Apps

Ich habe gerade einen Update von 18.0.6 auf 18.0.9 gemacht. Da ich gerade sowieso alles gesichert habe hätte ich auch gerne den Update auf 19.0.3 gemacht. Folgende meiner Apps werden aber von Nextcloud 19 nicht unterstützt:

Weiß vielleicht jemand ob diese Apps überhaupt nicht mehr unterstützt werden oder ob die Entwickler nur noch nicht nachgezogen haben?

Die genannten Apps wurden alle von 3rd-Party-Entwicklern bereit gestellt. Wenn im App-Store keine aktuellen Versionen verfügbar sind, solltest Du die App-Repositories der Entwickler aufrufen und schauen, ob dort gegebenenfalls bereits Hinweise auf eine neue App-Version zu finden sind.

Beispiel: Optical Character recognition -> Support for Nextcloud v19

1 Like
  • Radio - da wurde nun 7 Monate nichts mehr gemacht… kann keine Aussage dazu treffen
  • OCR - da hat der Maintainer offenbar technische Probleme mit seiner Server-Umgebung. Er will und wird weitermachen, kann allerdings kein Datum angeben, wann es weitergeht.
  • OCCweb - es wird keine Updates mehr geben, schreibt der entsprechende Entwickler
  • Grauphel - Dev gibt Tipps, wie man die Version updaten kann (sollte für erfahrene User wie zB @alfred möglich sein) --> https://cweiske.de/grauphel.htm#id31
  • DICOM - bisher gibts keine Updates. @Bernie_O sagt, er habe die App unter NC19 aktiviert und sie scheine zu laufen. Er gibt aber keine Garantie dafür.

Generell: Du hast dir so viel Mühe gemacht, alle Daten wunderbar zusammenzutragen. Aber Du hättest auch selbst auf die entsprechenden “Homepages” surfen können um da mal in die “Issues” reinzuschauen, denn von ebendort habe ich meine Infos, die ich Dir eben gegeben habe :wink:

@j-ed ich hab erst gesehen als ich fertig war, dass Du auch schon geantwortet hattest :heart_eyes_cat:

3 Likes

OCCWeb läuft auch unter 19.0.3 ohne Probleme. Ist halt immer auch eine Frage, ob es getestet wurde vom Entwickler und die entsprechende Info bereitgestellt wurde.
Wenn die Weiterentwicklung davon eingestellt würde wäre das aber doof, zumindest für User auf Hosted Webspace.

Radio macht unter 19 nur Probleme, also besser drauf verzichten…

Bei OCCWeb liegt es wohl daran, dass OCCWeb nicht die Möglichkeiten von “occ” hat.

As nextcloudd has no native support for asynchronous operations, due to the use of php, this aplication is deprecated, and will no longer support the Nextcloud’ future versions (19+). I did not find a way to implemement true support for interactive and long running occ tasks in a web terminal whitout introducing addtional dependencies (through websockets, for example), the lack of true asynchronous occ operations can lead to serious alterations of voluminous instances. This issue may give some hints on why I decided to not support this application anymore.

https://git.adphi.net/adphi/occweb

1 Like